> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Canary Endpoint

> E3 — canary only legal from shadow|canary (illegal transitions -> 409).



## OpenAPI

````yaml /openapi.json post /v1/provisioning/models/{workspace_id}/{version}/canary
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/provisioning/models/{workspace_id}/{version}/canary:
    post:
      tags:
        - provisioning-portal
      summary: Start Canary Endpoint
      description: E3 — canary only legal from shadow|canary (illegal transitions -> 409).
      operationId: >-
        start_canary_endpoint_v1_provisioning_models__workspace_id___version__canary_post
      parameters:
        - in: path
          name: workspace_id
          required: true
          schema:
            title: Workspace Id
            type: string
        - in: path
          name: version
          required: true
          schema:
            title: Version
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CanaryRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    CanaryRequest:
      properties:
        pct:
          title: Pct
          type: integer
      required:
        - pct
      title: CanaryRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````